Bug 31341 - Test unicode message sending over Web Socket
Summary: Test unicode message sending over Web Socket
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-11 02:33 PST by Yuzo Fujishima
Modified: 2009-12-04 00:25 PST (History)
4 users (show)

See Also:


Attachments
Add web socket unicode message test (5.61 KB, patch)
2009-11-11 02:36 PST, Yuzo Fujishima
no flags Details | Formatted Diff | Diff
Add web socket unicode message test (5.60 KB, patch)
2009-11-12 18:20 PST, Yuzo Fujishima
no flags Details | Formatted Diff | Diff
Add web socket unicode message test (5.61 KB, patch)
2009-12-03 20:49 PST, Yuzo Fujishima
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuzo Fujishima 2009-11-11 02:33:10 PST
We should test if unicode messages can be sent over Web Socket.
Comment 1 Yuzo Fujishima 2009-11-11 02:36:40 PST
Created attachment 42944 [details]
Add web socket unicode message test
Comment 2 Yuzo Fujishima 2009-11-11 02:38:58 PST
Hi, reviewers,

Can you review this patch and submit it, if it looks good?

Yuzo
Comment 3 Yuzo Fujishima 2009-11-12 18:20:56 PST
Created attachment 43121 [details]
Add web socket unicode message test
Comment 4 Yuzo Fujishima 2009-11-12 18:22:12 PST
Fixed such that the timeout timer is canceled on successful completion.
Comment 5 Eric Seidel (no email) 2009-11-26 21:24:47 PST
Comment on attachment 43121 [details]
Add web socket unicode message test

LGTM.
Comment 6 WebKit Commit Bot 2009-12-02 15:07:49 PST
Comment on attachment 43121 [details]
Add web socket unicode message test

Rejecting patch 43121 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--quiet', '--exit-after-n-failures=1']" exit_code: 1
Running build-dumprendertree
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 11704 test cases.
websocket/tests/unicode.html -> failed

Exiting early after 1 failures. 11699 tests run.
356.03s total testing time

11698 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
6 test cases (<1%) had stderr output
Comment 7 Yuzo Fujishima 2009-12-03 20:49:50 PST
Created attachment 44286 [details]
Add web socket unicode message test
Comment 8 Yuzo Fujishima 2009-12-03 20:51:08 PST
Sorry for the test breakage.

The symptom is the same as that of:
https://bugs.webkit.org/show_bug.cgi?id=31337

I've tested the latest patch with HEAD.
Can you try again?

Yuzo
Comment 9 WebKit Review Bot 2009-12-03 20:52:26 PST
style-queue ran check-webkit-style on attachment 44286 [details] without any errors.
Comment 10 WebKit Commit Bot 2009-12-04 00:25:29 PST
Comment on attachment 44286 [details]
Add web socket unicode message test

Clearing flags on attachment: 44286

Committed r51686: <http://trac.webkit.org/changeset/51686>
Comment 11 WebKit Commit Bot 2009-12-04 00:25:34 PST
All reviewed patches have been landed.  Closing bug.